MBeanParameterInfo (Java SE 26 & JDK 26)
Description: declaration: module: java.management, package: javax.management, class: MBeanParameterInfo
Keywords: javax.management.MBeanParameterInfo class

# Class MBeanParameterInfo

java.lang.Object
javax.management.MBeanFeatureInfo
javax.management.MBeanParameterInfo

All Implemented Interfaces:
  `Serializable, Cloneable, DescriptorRead`

Direct Known Subclasses:
  `OpenMBeanParameterInfoSupport`

public class MBeanParameterInfo extends MBeanFeatureInfo implements Cloneable
Describes an argument of an operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

Since:
  1.5
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class MBeanFeatureInfo

  `description, name`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  The human-readable description of the feature.
  `protected String`
  `name`
  The name of the feature.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanParameterInfo(String name, String type, String description)`
  Constructs an `MBeanParameterInfo` object.
  `MBeanParameterInfo(String name, String type, String description, Descriptor descriptor)`
  Constructs an `MBeanParameterInfo` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a shallow clone of this instance.
  `boolean`
  `equals(Object o)`
  Compare this MBeanParameterInfo to another.
  `String`
  `getType()`
  Returns the type or class name of the data.

  ### Methods declared in class MBeanFeatureInfo

  `getDescription, getDescriptor, getName`
  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the human-readable description of the feature.
  `Descriptor`
  `getDescriptor()`
  Returns the descriptor for the feature.
  `String`
  `getName()`
  Returns the name of the feature.

  ### Methods declared in class Object

  `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MBeanParameterInfo

    public MBeanParameterInfo(String name, String type, String description)
    Constructs an `MBeanParameterInfo` object.
    Parameters:
      `name` - The name of the data
      `type` - The type or class name of the data
      `description` - A human readable description of the data. Optional.

  - ### MBeanParameterInfo

    public MBeanParameterInfo(String name, String type, String description, Descriptor descriptor)
    Constructs an `MBeanParameterInfo` object.
    Parameters:
      `name` - The name of the data
      `type` - The type or class name of the data
      `description` - A human readable description of the data. Optional.
      `descriptor` - The descriptor for the operation. This may be null which is equivalent to an empty descriptor.
    Since:
      1.6

- ## Method Details

  - ### clone

    public Object clone()

    Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

    Since this class is immutable, cloning is chiefly of interest to subclasses.

    Overrides:
      `clone` in class `Object`
    Returns:
      a clone of this instance.
    See Also:
      - `Cloneable`

  - ### getType

    public String getType()
    Returns the type or class name of the data.
    Returns:
      the type string.

  - ### equals

    public boolean equals(Object o)
    Compare this MBeanParameterInfo to another.
    Overrides:
      `equals` in class `MBeanFeatureInfo`
    Parameters:
      `o` - the object to compare to.
    Returns:
      true if and only if `o` is an MBeanParameterInfo such that its `MBeanFeatureInfo.getName()`, `getType()`, `MBeanFeatureInfo.getDescriptor()`, and `MBeanFeatureInfo.getDescription()` values are equal (not necessarily identical) to those of this MBeanParameterInfo.
    See Also:
      - `Object.hashCode()`
      - `HashMap`